var PA=0,R$="R$",G$=true,GA=false,J$="undefined",NA="object",SA="string",JA="number",RA="boolean",Q$=null,T="";var i,I$=1,TA=[],Q$=null,U=[];function LOG_FUNC(C$,M$,V){try{
var tResult="";if(C$!="")tResult=C$+"::";tResult+=M$+"("
for(var i=0;i<V.length;++i){
if(i>0)tResult+=",";tResult+="'"+V[i]+"'("+typeof(V[i])+")"}
tResult+=")";try{if(console&&console.log)console.log(tResult)}catch(e){}
}catch(e){$(A(e))}}
function TRACE_LINE(Y){try{
try{if(console&&console.log)console.log(Y)}catch(e){}
}catch(e){$(A(e))}}
function DEBUG_VAR(E$){try{
return ""+E$+"("+typeof(E$)+")"
}catch(e){$(A(e))}}
function $(Y){try{
if(!I$)return;I$=confirm(Y)}catch(e){$(A(e))}}
function A(Q,O$,T$,N$){try{
var tResult="";if(arguments.length>1){
tResult+="Unhandled exeption in "+O$+":"+T$+" "+N$+"\n"}
if(Q.message)tResult+=Q.message;if(Q.description)tResult+=Q.description;return tResult}catch(e){$(A(e))}}
function IA($$,J){try{
alert($A($$,J))}catch(e){$(A(e))}}
function $A($$,J){try{
return $$+":"+J.name+": "+J.message+(J.stack?("\n"+J.stack):"")}catch(e){$(A(e))}}
function S$(O,M,W$){try{
if(O.substr(0,1)=="?")O=O.substr(1);var i,N=O.split("&"),nPos,I,P;for(i=0;i<N.length;++i){
nPos=N[i].indexOf("=");if(nPos==-1){
I=N[i];P=G$}else{
I=N[i].substr(0,nPos);P=W(N[i].substr(nPos+1))}
I=W(I).toUpperCase();if(W$){
M[I]=P}else{
if(typeof(M[I])==J$){
M[I]=P}
}
}
}catch(e){$(A(e))}}
function QA(M,AA){try{
return(typeof(M[AA])!=J$)}catch(e){$(A(e))}}
function U$(Y$){try{
S$(Y$,U,G$)}catch(e){$(A(e))}}
function FA(X){return document.getElementById(X)}
function K(C){try{
if(((C>=65)&&(C<=90))
||((C>=97)&&(C<=122))
||((C>=48)&&(C<=57))
||(C==33)
||(C==126)
||(C==39)
||(C==40)
||(C==41)
||(C==42)
||(C==45)
||(C==46)
||(C==95)
)return String.fromCharCode(C);return((C<16)?"%0":"%")+C.toString(16)}catch(e){$(A(e))}}
function V$(H$){try{
var i,E,nLen=H$.length,B="";for(i=0;i<nLen;++i){
E=H$.charCodeAt(i);if(E<128){
B+=K(E)}else if((E>127)&&(E<2048)){
B+=K((E>>6)|192);B+=K((E&63)|128)}else{
B+=K((E>>12)|224);B+=K(((E>>6)&63)|128);B+=K((E&63)|128)}
}
return B}catch(e){$(A(e))}}
function W(R){try{
var B=T,re=/([^%]*)%(..)(.*)/;while(R!=T){
if(R.search(re)==-1){
B+=R;break}
B+=RegExp.$1+String.fromCharCode(parseInt(RegExp.$2,16));R=RegExp.$3}
return Z$(B)}catch(e){$(A(e))}}
function Z$(L){try{
var B=T,nLen=L.length,i=0,c=0,c1=0,c2=0;while(i<nLen)
{
c=L.charCodeAt(i);if(c<128){
B+=String.fromCharCode(c);i++}
else if((c>191)&&(c<224)){
c2=L.charCodeAt(i+1);B+=String.fromCharCode(((c&31)<<6)|(c2&63));i+=2}
else{
c2=L.charCodeAt(i+1);c3=L.charCodeAt(i+2);B+=String.fromCharCode(((c&15)<<12)|((c2&63)<<6)|(c3&63));i+=3}
}
return B}catch(e){$(A(e))}}
function MA(H,G,D$){try{
var i,nLen,D$;var B=H,A$=new RegExp();nLen=G.length;for(i=0;i<nLen.length;++i){
A$.compile(G[i][0],D$);B=B.replace(A$,G[i][1])}
return B}catch(e){$(A(e))}}
function F$(L$){try{
try{
return L$.length}catch(e){
return 0}
}catch(e){$(A(e))}}
function OA(H,CA){try{
return(""+H).indexOf(CA)}catch(e){$(A(e))}}
function KA(H,Z){try{
return(""+H).substr(Z)}catch(e){$(A(e))}}
function LA(H,Z,X$){try{
return(""+H).substr(Z,X$)}catch(e){$(A(e))}}
function EA(DA,BA){try{
return setTimeout(DA,BA)
}catch(e){$(A(e))}}
function UA(G,K$){try{
var S=[],i,j=0;for(i=0;i<K$;++i)
S[j++]=G[i];for(i=K$+1;i<F$(G);++i)
S[j++]=G[i];return S}catch(e){$(A(e))}}
function HA(X){try{
return document.getElementById(X)}catch(e){$(A(e))}}
function ParamString(P$){try{
var i,B$,B=P$,argv=arguments,argc=F$(argv);for(i=argc-1;i>=1;--i){
B$=eval("/%"+i+"/g");B=B.replace(B$,argv[i])}
return B}catch(e){$(A(e))}}
String.prototype.Trim=function(){
var F,D=this.valueOf();for(;D.length>0;){
F=D.substr(0,1);if((F==" ")||(F=="\r")||(F=="\t")||(F=="\n")){
D=D.substr(1)}else{
break}
}
for(;D.length>0;){
F=D.substr(D.length-1,1);if((F==" ")||(F=="\r")||(F=="\t")||(F=="\n")){
D=D.substr(0,D.length-1)}else{
break}
}
return D};function Main(){try{
var tID=U['ID'];window.API=document.API=window.opener["API_"+tID];window.onload=function(){
document.getElementById('content').src=window.API.WindowURI}
}catch(e){$(A(e))}}
ARGUMENTS=U;if(window.encodeURIComponent)V$=encodeURIComponent;if(window.decodeURIComponent)W=decodeURIComponent;U$(window.location.search.substr(1));Main();EXTERNAL='getErrorText|$A|getErrorInfo|A|debugAlert|$'.split('|');for(i=0;i<6;i+=2)eval(EXTERNAL[i]+'='+EXTERNAL[i+1]);